VERSION 5.00
Begin VB.Form frmPulse 
   Caption         =   "Pulse with Variable Edges"
   ClientHeight    =   2415
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   3465
   LinkTopic       =   "Form1"
   ScaleHeight     =   2415
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIO 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Text            =   "GPIB1::11::INSTR"
      Top             =   480
      Width           =   1575
   End
   Begin VB.TextBox txtError 
      Height          =   975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "frmPulse.frx":0000
      Top             =   1320
      Width           =   3255
   End
   Begin VB.CommandButton cmdPulse 
      Caption         =   "Setup Instrument"
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblIO 
      Caption         =   "IO Address"
      Height          =   255
      Left            =   1800
      TabIndex        =   4
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label lblError 
      Caption         =   "Messages"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1080
      Width           =   3255
   End
End
Attribute VB_Name = "frmPulse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2006 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub cmdPulse_Click()

    ' This program is an example program intended for use with
    ' Microsoft Visual Basic 6.0 and the Agilent VISA COM objects.
    '
    ' To use the IO object in another Visual Basic project, set the
    ' reference to include the libraries in the Project/References menu:
    ' "VISA COM 1.0 Type Library", corresponds to VISACOM.tlb
    ' "Agilent VISA COM Resource Manager 1.0", corresponds to AgtRM.DLL
    ' "VISA COM 488.2 Formatted I/O 1.0", corresponds to the BasicFormattedIO.dll
    '
    ' Then use a statement such as "Dim Fgen As VisaComLib.FormattedIO488"
    ' to create the formatted I/O reference and use
    ' "Set Fgen = New VisaComLib.FormattedIO488" to create the actual object.

    Dim io_mgr As VisaComLib.ResourceManager
    Dim Fgen As VisaComLib.FormattedIO488

    Set io_mgr = New AgilentRMLib.SRMCls
    Set Fgen = New VisaComLib.FormattedIO488
    Set Fgen.IO = io_mgr.Open(txtIO.Text)
    
    Dim I As Integer

    On Error GoTo MyError

    ' This program sets up a pulse waveshape and adjusts the edge
    ' time.  It also shows the use of high and low voltage levels
    ' and period.  The edge time is adjusted by 5 nsec increments.
    
    ' This program commands with channel 1 of the intrument, you can change
    ' the number '1' after each command to '2' to select channel 2.
    
    With Fgen

        .WriteString "*RST"                             ' Reset the function generator
        .IO.Clear                                       ' Clear errors and status registers
        .WriteString "FUNCtion1 PULSe"                   ' Select pulse waveshape

        .WriteString "OUTPut1:LOAD 50"                   ' Set the load impedance to 50 Ohms (default)
        .WriteString "VOLTage1:LOW 0"                    ' Low level = 0 V
        .WriteString "VOLTage1:HIGH 0.75"                ' High level = .75 V

        .WriteString "PULSe1:PERiod 1e-3"                ' 1 ms intervals
        .WriteString "PULSe1:WIDTh 100e-6"               ' Pulse width is 100 us
        .WriteString "PULSe1:TRANsition 10e-9"           ' Edge time is 10 ns (rise time = fall time)
        .WriteString "OUTPut1 ON"                        ' Turn on the instrument output

    For I = 0 To 18
        ' Vary edge by 5 nsec steps
        .WriteString "PULSe1:TRANsition " & (0.00000001 + I * 0.000000005)
        Sleep 300                                       ' Wait 300 msec

    Next I

    End With

    Exit Sub

MyError:

    txtError = Err.Description & vbCrLf
    Resume Next

End Sub

